---
- name: Setup Hosts and deploy docker app
  hosts: webservers
  pre_tasks:
    - name: Update apt cache
      apt:
        update_cache: yes
  roles:
    - geerlingguy.pip
  tasks:
    - name: Run container
      community.docker.docker_container:
        name: devops-example-app
        image: hexletcomponents/devops-example-app
        published_ports: 5000:5000
        restart_policy: always
        restart: yes
        container_default_behavior: no_defaults
        pull: yes
        env:
          SERVER_MESSAGE: '{{ ansible_default_ipv4.address }}'
